Updating PHP for EC2 AMI

I need php 5.2 for my website, and I’m trying to use this page to update the php from the base 5.1 that comes with the AMI.
http://www.jasonlitka.com/yum-repository/

It says on the bottom that it doesn’t work with cpanel, is the same true for virtualmin? What other options do I have to update php? Thanks.

you can use the bleeding edge repo from virtualmin

Yeah, like Ronald said, the bleeding edge repository would provide you with PHP 5.2. You can get details on that repo here:

http://www.virtualmin.com/documentation/id,virtualmin_bleeding_edge_packages/

I’ve just updated that page a bit to be more clear about what they are and when to use them. Someone managed to misinterpret the warnings about them being bleeding edge to mean, “you should use some other third party packages that you found on the web instead of these”, rather than the intended meaning of, “all third party packages on the web are potentially less stable than the OS standard packages, but if you must use third party packages, these are the ones you should use because we know they work and can help you when things go wrong”.

It’s sometimes hard to write documentation that cannot be misinterpreted by someone that tries hard enough. :wink:

I assumed that bleeding edge meant the nightlies, rather than the latest stable release.

But in any case how do you use the repository? There are instructions for the repos I find on google but not this one. Thanks.

Looks like there are a lot of typos…

How do I fix this?

[root@domU-12-31-39-00-78-A1:~] yum install php
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
http://software.virtualmin.com/bleed/rhel/5.0/i386/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found
Trying other mirror.
Error: Cannot open/read repomd.xml file for repository: virtualmin-bleed
[root@domU-12-31-39-00-78-A1:~] http://software.virtualmin.com/bleed/rhel/5.0/i386/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found
-bash: http://software.virtualmin.com/bleed/rhel/5.0/i386/repodata/repomd.xml:: No such file or directory
[root@domU-12-31-39-00-78-A1:~] Trying other mirror.
-bash: Trying: command not found
[root@domU-12-31-39-00-78-A1:~] Error: Cannot open/read repomd.xml file for repository: virtualmin-bleed
-bash: Error:: command not found
[root@domU-12-31-39-00-78-A1:~] [root@domU-12-31-39-00-78-A1:~]
-bash: [root@domU-12-31-39-00-78-A1:~]: command not found

Hrm, it looks like all those URL’s should have a “5” rather than a “5.0” in them. I’ll yell at Joe :slight_smile: But in the meantime, you’ll need to manually edit the repo file in /etc/yum.repos.d/ to fix that.
-Eric

Oops. It was only setup for CentOS, and not RHEL. I’ve corrected it now.